export interface ISuite {
    id: string;
    description: string;
    fullName: string;
    failedExpectations: any[];
    testPath: string;
}
export interface ISpec {
    id: string;
    description: string;
    fullName: string;
    failedExpectations: any[];
    passedExpectations: any[];
    pendingReason: string;
    testPath: string;
}
export declare class Reporter {
    currentSpec: ISpec;
    currentSuite: ISuite;
    totalSpecsDefined: number;
    suites: ISuite[];
    specs: ISpec[];
    findSpec(id: string): ISpec | undefined;
    findSuite(id: string): ISuite | undefined;
    jasmineStarted(suiteInfo: any): void;
    suiteStarted(result: ISuite): void;
    specStarted(result: ISpec): void;
    specDone(result: ISpec): void;
    suiteDone(result: ISuite): void;
    jasmineDone(): void;
}
