"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var Reporter = /** @class */ (function () {
    function Reporter() {
    }
    Reporter.prototype.findSpec = function (id) {
        return this.specs.find(function (s) { return s.id === id; });
    };
    Reporter.prototype.findSuite = function (id) {
        return this.suites.find(function (s) { return s.id === id; });
    };
    Reporter.prototype.jasmineStarted = function (suiteInfo) {
        this.totalSpecsDefined = suiteInfo.totalSpecsDefined;
        this.suites = [];
        this.specs = [];
    };
    Reporter.prototype.suiteStarted = function (result) {
        var suite = this.findSuite(result.id);
        if (!suite) {
            this.suites.push(result);
        }
        this.currentSuite = __assign({}, result);
    };
    Reporter.prototype.specStarted = function (result) {
        var spec = this.findSpec(result.id);
        if (!spec) {
            this.specs.push(result);
        }
        this.currentSpec = __assign({}, result);
    };
    Reporter.prototype.specDone = function (result) {
        delete this.currentSpec;
    };
    Reporter.prototype.suiteDone = function (result) {
        delete this.currentSuite;
    };
    Reporter.prototype.jasmineDone = function () {
        delete this.totalSpecsDefined;
        delete this.suites;
        delete this.specs;
    };
    return Reporter;
}());
exports.Reporter = Reporter;
